Package com.independentsoft.office.spreadsheet

# Class PhoneticRun

java.lang.Object
com.independentsoft.office.spreadsheet.PhoneticRun

public class PhoneticRun extends Object
The Class PhoneticRun. Represents a phonetic text run (rPh element) of a shared string item, giving the pronunciation (e.g. Japanese furigana) of a range of characters in the base text.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhoneticRun()`
  Instantiates a new phonetic run.
  `PhoneticRun​(int startIndex, int endIndex, String text)`
  Instantiates a new phonetic run.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PhoneticRun`
  `clone()`
  `int`
  `getEndIndex()`
  Gets the zero-based index of the character following the last base text character the run applies to (eb attribute).
  `int`
  `getStartIndex()`
  Gets the zero-based index of the first base text character the run applies to (sb attribute).
  `Text`
  `getText()`
  Gets the phonetic text.
  `void`
  `setEndIndex​(int endIndex)`
  Sets the zero-based index of the character following the last base text character the run applies to (eb attribute).
  `void`
  `setStartIndex​(int startIndex)`
  Sets the zero-based index of the first base text character the run applies to (sb attribute).
  `void`
  `setText​(Text text)`
  Sets the phonetic text.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PhoneticRun

    public PhoneticRun()
    Instantiates a new phonetic run.

  - ### PhoneticRun

    public PhoneticRun​(int startIndex, int endIndex, String text)
    Instantiates a new phonetic run.
    Parameters:
      `startIndex` - Zero-based index of the first base text character the run applies to.
      `endIndex` - Zero-based index of the character following the last base text character the run applies to.
      `text` - The phonetic text.

- ## Method Details

  - ### clone

    public PhoneticRun clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getStartIndex

    public int getStartIndex()
    Gets the zero-based index of the first base text character the run applies to (sb attribute).
    Returns:
      the start index

  - ### setStartIndex

    public void setStartIndex​(int startIndex)
    Sets the zero-based index of the first base text character the run applies to (sb attribute).
    Parameters:
      `startIndex` - the new start index

  - ### getEndIndex

    public int getEndIndex()
    Gets the zero-based index of the character following the last base text character the run applies to (eb attribute).
    Returns:
      the end index

  - ### setEndIndex

    public void setEndIndex​(int endIndex)
    Sets the zero-based index of the character following the last base text character the run applies to (eb attribute).
    Parameters:
      `endIndex` - the new end index

  - ### getText

    public Text getText()
    Gets the phonetic text.
    Returns:
      the text

  - ### setText

    public void setText​(Text text)
    Sets the phonetic text.
    Parameters:
      `text` - the new text